View Issue Details

IDProjectCategoryView StatusLast Update
0002152SymmetricDSBugpublic2015-01-29 15:00
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.3Fixed in Version3.7.3 
Summary0002152: DDL errors on DB2 i5 AS/400
DescriptionOn startup, the server cannot make a connection to DB2 because the validation SQL query it runs is not allowed:

Could not get a connection to the database: Cannot create PoolableConnectionFactory ([SQL0029] INTO clause missing from embedded statement.). Waiting for 10 seconds before trying to connect to the database again.

The validation query is using "values()" alone and it should be a SELECT statement.

When creating tables, the data type of "VARCHAR" is being used without specifying the size. The following error is seen:

[SQL0604] Attributes not valid

The data type should be at least "LONG VARCHAR" (for now) and possibly "CLOB" (in the future).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master ff3a3831

2015-01-21 14:23:52

erilong

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DatabasePlatform.java Diff File

SymmetricDS: master 9ad6a79c

2015-01-21 16:16:35

erilong

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlReader.java Diff File

SymmetricDS: master 7a7b0e07

2015-01-28 17:45:40

chenson

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/h2/H2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/hsqldb2/HsqlDb2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DdlReader.java Diff File

SymmetricDS: master 781503e2

2015-01-28 22:15:21

chenson

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DdlReader.java Diff File

SymmetricDS: master de75f49a

2015-01-29 07:08:56

chenson

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DdlReader.java Diff File

SymmetricDS: master 46a65066

2015-01-29 07:17:14

chenson

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File

SymmetricDS: master 9837fe6a

2015-01-29 12:48:21

chenson

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400SymmetricDialect.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/RegistrationRequest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationServiceSqlMap.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlBuilder.java Diff File

SymmetricDS: master 742955c1

2015-01-29 12:52:20

chenson

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationServiceSqlMap.java Diff File

SymmetricDS: master f0e84f13

2015-01-29 14:04:07

chenson

Details Diff
0002152: DDL errors on DB2 i5 AS/400
0002152
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2SymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DefaultOfflineClientListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2015-01-21 14:22 elong New Issue
2015-01-21 14:22 elong Status new => assigned
2015-01-21 14:22 elong Assigned To => elong
2015-01-21 15:00 Changeset attached => SymmetricDS trunk r9301
2015-01-21 17:00 Changeset attached => SymmetricDS trunk r9303
2015-01-28 09:03 chenson Status assigned => closed
2015-01-28 09:03 chenson Resolution open => fixed
2015-01-28 09:03 chenson Fixed in Version => 3.7.3
2015-01-28 18:00 chenson Changeset attached => SymmetricDS trunk r9315
2015-01-28 23:00 chenson Changeset attached => SymmetricDS trunk r9316
2015-01-29 08:00 chenson Changeset attached => SymmetricDS trunk r9317
2015-01-29 08:00 chenson Changeset attached => SymmetricDS trunk r9318
2015-01-29 13:00 chenson Changeset attached => SymmetricDS trunk r9321
2015-01-29 13:00 chenson Changeset attached => SymmetricDS trunk r9322
2015-01-29 15:00 chenson Changeset attached => SymmetricDS trunk r9323
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f0e84f13
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 742955c1
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9837fe6a
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 46a65066
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master de75f49a
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 781503e2
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7a7b0e07
2015-07-30 21:49 Changeset attached => SymmetricDS master 9ad6a79c
2015-07-30 21:49 Changeset attached => SymmetricDS master ff3a3831